com.digi.xbee.api.exceptions

## Class InvalidConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.digi.xbee.api.exceptions.XBeeException
      - - com.digi.xbee.api.exceptions.ConnectionException
        - - com.digi.xbee.api.exceptions.InvalidConfigurationException

- All Implemented Interfaces:
    Serializable

      public class InvalidConfigurationException
      extends ConnectionException

  This exception will be thrown when trying to open an interface with an invalid configuration. Usually happens when the XBee device is communicating through a serial port.
  See Also:
    `ConnectionException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidConfigurationException()` Creates an `InvalidConfigurationException` with as its error detail message.
    `InvalidConfigurationException(String message)` Creates an `InvalidConfigurationException` with the specified message.
    `InvalidConfigurationException(String message, Throwable cause)` Creates an `InvalidConfigurationException` with the specified message and cause.

  - ### Method Summary

    - ### Methods inherited from class com.digi.xbee.api.exceptions.XBeeException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidConfigurationException

          public InvalidConfigurationException()

      Creates an `InvalidConfigurationException` with as its error detail message.

    - #### InvalidConfigurationException

          public InvalidConfigurationException(String message)

      Creates an `InvalidConfigurationException` with the specified message.
      Parameters:
        `message` - The associated message.

    - #### InvalidConfigurationException

          public InvalidConfigurationException(String message,
                                       Throwable cause)

      Creates an `InvalidConfigurationException` with the specified message and cause.
      Parameters:
        `message` - The associated message.
        `cause` - The cause of this exception.
      See Also:
        `Throwable`

© Copyright 2014–2014 Digi International Inc. All rights reserved.